com.impinj.stp

## Class StpApi.TIDTableEntries.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>
      - - com.impinj.stp.StpApi.TIDTableEntries.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TIDTableEntriesOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.TIDTableEntries

      public static final class StpApi.TIDTableEntries.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>
      implements StpApi.TIDTableEntriesOrBuilder

  Protobuf type `Impinj.STP.TIDTableEntries` A list of tag operations to perform.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TIDTableEntries.Builder` | `addAllTidTableEntries(java.lang.Iterable<? extends StpApi.TIDTableEntry> values)`
    `StpApi.TIDTableEntries.Builder` | `addTidTableEntries(int index, StpApi.TIDTableEntry.Builder builderForValue)`
    `StpApi.TIDTableEntries.Builder` | `addTidTableEntries(int index, StpApi.TIDTableEntry value)`
    `StpApi.TIDTableEntries.Builder` | `addTidTableEntries(StpApi.TIDTableEntry.Builder builderForValue)`
    `StpApi.TIDTableEntries.Builder` | `addTidTableEntries(StpApi.TIDTableEntry value)`
    `StpApi.TIDTableEntry.Builder` | `addTidTableEntriesBuilder()`
    `StpApi.TIDTableEntry.Builder` | `addTidTableEntriesBuilder(int index)`
    `StpApi.TIDTableEntries` | `build()`
    `StpApi.TIDTableEntries` | `buildPartial()`
    `StpApi.TIDTableEntries.Builder` | `clear()`
    `StpApi.TIDTableEntries.Builder` | `clearTidTableEntries()`
    `StpApi.TIDTableEntries.Builder` | `clone()`
    `StpApi.TIDTableEntries` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.TIDTableEntry` | `getTidTableEntries(int index)`
    `StpApi.TIDTableEntry.Builder` | `getTidTableEntriesBuilder(int index)`
    `java.util.List<StpApi.TIDTableEntry.Builder>` | `getTidTableEntriesBuilderList()`
    `int` | `getTidTableEntriesCount()`
    `java.util.List<StpApi.TIDTableEntry>` | `getTidTableEntriesList()`
    `StpApi.TIDTableEntryOrBuilder` | `getTidTableEntriesOrBuilder(int index)`
    `java.util.List<? extends StpApi.TIDTableEntryOrBuilder>` | `getTidTableEntriesOrBuilderList()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.TIDTableEntries.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TIDTableEntries.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.TIDTableEntries.Builder` | `mergeFrom(StpApi.TIDTableEntries other)`
    `StpApi.TIDTableEntries.Builder` | `removeTidTableEntries(int index)`
    `StpApi.TIDTableEntries.Builder` | `setTidTableEntries(int index, StpApi.TIDTableEntry.Builder builderForValue)`
    `StpApi.TIDTableEntries.Builder` | `setTidTableEntries(int index, StpApi.TIDTableEntry value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>`

    - #### clear

          public StpApi.TIDTableEntries.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>`

    - #### clone

          public StpApi.TIDTableEntries.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.TIDTableEntries getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.TIDTableEntries build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.TIDTableEntries buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.TIDTableEntries.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TIDTableEntries.Builder>`

    - #### mergeFrom

          public StpApi.TIDTableEntries.Builder mergeFrom(StpApi.TIDTableEntries other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDTableEntries.Builder>`

    - #### mergeFrom

          public StpApi.TIDTableEntries.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TIDTableEntries.Builder>`
      Throws:
        `java.io.IOException`

    - #### getTidTableEntriesList

          public java.util.List<StpApi.TIDTableEntry> getTidTableEntriesList()

      Specified by:
        `getTidTableEntriesList` in interface `StpApi.TIDTableEntriesOrBuilder`

    - #### getTidTableEntriesCount

          public int getTidTableEntriesCount()

      Specified by:
        `getTidTableEntriesCount` in interface `StpApi.TIDTableEntriesOrBuilder`

    - #### getTidTableEntries

          public StpApi.TIDTableEntry getTidTableEntries(int index)

      Specified by:
        `getTidTableEntries` in interface `StpApi.TIDTableEntriesOrBuilder`

    - #### setTidTableEntries

          public StpApi.TIDTableEntries.Builder setTidTableEntries(int index,
                                                                   StpApi.TIDTableEntry value)

    - #### setTidTableEntries

          public StpApi.TIDTableEntries.Builder setTidTableEntries(int index,
                                                                   StpApi.TIDTableEntry.Builder builderForValue)

    - #### addTidTableEntries

          public StpApi.TIDTableEntries.Builder addTidTableEntries(StpApi.TIDTableEntry value)

    - #### addTidTableEntries

          public StpApi.TIDTableEntries.Builder addTidTableEntries(int index,
                                                                   StpApi.TIDTableEntry value)

    - #### addTidTableEntries

          public StpApi.TIDTableEntries.Builder addTidTableEntries(StpApi.TIDTableEntry.Builder builderForValue)

    - #### addTidTableEntries

          public StpApi.TIDTableEntries.Builder addTidTableEntries(int index,
                                                                   StpApi.TIDTableEntry.Builder builderForValue)

    - #### addAllTidTableEntries

          public StpApi.TIDTableEntries.Builder addAllTidTableEntries(java.lang.Iterable<? extends StpApi.TIDTableEntry> values)

    - #### clearTidTableEntries

          public StpApi.TIDTableEntries.Builder clearTidTableEntries()

    - #### removeTidTableEntries

          public StpApi.TIDTableEntries.Builder removeTidTableEntries(int index)

    - #### getTidTableEntriesBuilder

          public StpApi.TIDTableEntry.Builder getTidTableEntriesBuilder(int index)

    - #### getTidTableEntriesOrBuilder

          public StpApi.TIDTableEntryOrBuilder getTidTableEntriesOrBuilder(int index)

      Specified by:
        `getTidTableEntriesOrBuilder` in interface `StpApi.TIDTableEntriesOrBuilder`

    - #### getTidTableEntriesOrBuilderList

          public java.util.List<? extends StpApi.TIDTableEntryOrBuilder> getTidTableEntriesOrBuilderList()

      Specified by:
        `getTidTableEntriesOrBuilderList` in interface `StpApi.TIDTableEntriesOrBuilder`

    - #### addTidTableEntriesBuilder

          public StpApi.TIDTableEntry.Builder addTidTableEntriesBuilder()

    - #### addTidTableEntriesBuilder

          public StpApi.TIDTableEntry.Builder addTidTableEntriesBuilder(int index)

    - #### getTidTableEntriesBuilderList

          public java.util.List<StpApi.TIDTableEntry.Builder> getTidTableEntriesBuilderList()